<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLFrameBufferObject.html">GLFrameBufferObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::GLFrameBufferObject Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a53101a02f9fa110f7cea958b9b496d87">attachDepthBuffer</a>(DepthBuffer *depthBuffer)</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#ad2d7df2d3c89d4a0556f38c8c017862d">bind</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a3ee1db9becd0194385398405692ea997">bindSurface</a>(size_t attachment, const GLSurfaceDesc &amp;target)</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a280721226167982dda935bdf473c856b">detachDepthBuffer</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#aa7dc042eaba5721ff710ee0ba64142cd">getFormat</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a481d6773f901c3d0c832318583f46a5e">getFSAA</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a16709c5ce9ec817f88f24bda6696191b">getGLFBOID</a>() const </td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a5379d2d582c3055f5232d2219b921111">getGLMultisampleFBOID</a>() const </td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#aa76cf1e7a06d052e8b44b9e067798447">getHeight</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a937228d22ea15178d39887da988365c3">getManager</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a7a241ec56436d27faa640e1631443b21">getSurface</a>(size_t attachment)</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#acc89c0dcd232e73152c4224dc028f04a">getWidth</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a71c8e029eb1d12e499c296965a4caa37">GLFrameBufferObject</a>(GLFBOManager *manager, uint fsaa)</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#acec5b1eccb12945696f1761c1d1b7ab9">initialise</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a01912f83bbfdcdfd7a595fca804228e4">mColour</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#ae47df9aefb647389e52270c84ad92601">mDepth</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#ae3bef8435636336be593676d53e5fdb9">mFB</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a72f41ff431192df59ee00d6b53c7221b">mManager</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a56fa38c3d712915bb4f9caed7244bc00">mMultisampleColourBuffer</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a2c16c481cd35b1aede28fdc107351205">mMultisampleFB</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a2e2945449d763b22d6b5c4957104ceb5">mNumSamples</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a24f661a94d4596ff341783002c7374db">mStencil</a></td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a448144de8f3426530c69114302d44a2a">swapBuffers</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a1234a3e0637c364e8b74ca917aa59d1b">unbindSurface</a>(size_t attachment)</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html#a47d1c8c32e0495c70efcc4fb9cb47148">~GLFrameBufferObject</a>()</td><td><a class="el" href="classOgre_1_1GLFrameBufferObject.html">Ogre::GLFrameBufferObject</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:18
</p>
</body>
</html>
